geisview(1)

NAME
geisview - view operation of the GEIS API

SYNOPSIS
geisview [ -V ] [ -w windowid ] [ -b backend ]

DESCRIPTION
This manual page explains the geisview program. This program is a test driver for verifying the recognition and propagation of gestures through the GEIS API.

OPTIONS

-V  Prints the version number of the program and exits.

-w  Specifies the windowId of a specific window to associate with gestures. Particularly useful with touchscreens. If this argument is not set, the default action is to read gestures on the root window.

    The windowId can be determined using the program xwininfo.

-b  Specifies the recognizer back end to use.

    The following are valid back end selections.

    dbus
        Uses the DBus back end to connect to a running GEIS server (default).

    grail
        Uses the dynamically loaded grail back end (default fallback).

    mock
        Uses a mock back end for testing.

    xcb Uses the pre-XI2 back end (may not be available).

ENVIRONMENT

GEIS_DEBUG
    Enables GEIS library diagnostic messages on stderr.

SEE ALSO
geistest(1)